#
# TODO
# - fix missing -lm
# - convince upstream to fix SONAME: libcomps.so.0.1.6
#
# Conditional build:
%bcond_without	doc	# don't build (doxygen and sphinx) docs

Summary:	Comps XML file manipulation library
Summary(pl.UTF-8):	Biblioteka operacji na plikach Comps XML
Name:		libcomps
Version:	0.1.18
Release:	2
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/rpm-software-management/libcomps/releases
Source0:	https://github.com/rpm-software-management/libcomps/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	68cba4a88933667cb6c2c1f496ad014d
Patch0:		%{name}-build.patch
URL:		https://github.com/rpm-software-management/libcomps
BuildRequires:	check-devel
BuildRequires:	cmake >= 2.6
%{?with_doc:BuildRequires:	doxygen}
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%{?with_doc:BuildRequires:	sphinx-pdg}
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libcomps is library for structure-like manipulation with content of
comps XML files. Supports read/write XML file, structure(s)
modification.

%description -l pl.UTF-8
Libcomps to bibliotek do operacji strukturalnych na treści plików
comps XML. Obsługiwany jest odczyt i zapis pliku XML oraz modyfikacja
struktury.

%package devel
Summary:	Development files for libcomps library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libcomps
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95
Requires:	libxml2-devel >= 2.0

%description devel
Development files for libcomps library

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libcomps.

%package -n python3-libcomps
Summary:	Python 3.x bindings for libcomps library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki libcomps
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-libcomps
Python 3.x bindings for libcomps library.

%description -n python3-libcomps -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki libcomps.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ../libcomps \
	-DENABLE_TESTS:BOOL=NO

%{__make}
%{__make} pydocs
%if %{with tests}
%{__make} test
%endif


%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
%{__sed} -e 's,^prefix=.*,prefix=%{_prefix},' \
	-e 's,@LIB_SUFFIX@,%{_lib},' \
	-e 's,@VERSION@,%{version},' \
	libcomps.pc.in > $RPM_BUILD_ROOT%{_pkgconfigdir}/libcomps.pc

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md COPYING
%attr(755,root,root) %{_libdir}/libcomps.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcomps.so
%{_includedir}/libcomps
%{_pkgconfigdir}/libcomps.pc

%files -n python3-libcomps
%doc build/src/python/docs/html/{*.html,*.js,_static}
%defattr(644,root,root,755)
%dir %{py3_sitedir}/libcomps
%{py3_sitedir}/libcomps/__init__.py
%attr(755,root,root) %{py3_sitedir}/libcomps/_libpycomps.so
%{py3_sitedir}/libcomps/__pycache__
%{py3_sitedir}/libcomps-*-py*.egg-info
%changelog
* Sun Apr 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcomps.git;a=log;h=master

* Sun Apr 03 2022 Jan Rękorajski <baggins@pld-linux.org> c059ff2
- Release 2 (by relup.sh)

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> 959785b
- up to 0.1.18, python 2 support removed upstream

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> acb7475
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> d1c79d5
- rebuild with separate debuginfo build-ids

* Thu Mar 11 2021 Jan Rękorajski <baggins@pld-linux.org> 1a3c552
- up to 0.1.15

* Sat Nov 02 2019 Jan Rękorajski <baggins@pld-linux.org> 2efce5b
- up to 0.1.11

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> bed2d26
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 623e290
- release 2 (by relup.sh)

* Sat Nov 18 2017 Jakub Bogusz <qboosh@pld-linux.org> f17fff5
- updated URLs

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2826f3d
- up to 0.1.8

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f66658
- python 3.6
- release 7 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 7210da5
- fix python install dir and sphinx-build path

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 9f59019
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9a7268d
- release 4 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> b9fd934
- python3 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> af0ae24
- python 3.4
- release 2 (by relup.sh)

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 4a777f8
- added link patch (fixes library linking)

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> ab202ab
- pl, cleanups
- use out of tree build, no need to copy all sources now
- package .pc file
- don't mess library and python docs (maybe use common package for both python versions?)

* Sun Jun 15 2014 Elan Ruusamäe <glen@delfi.ee> 3d9fc46
- revise BR deps

* Sat Jun 14 2014 Elan Ruusamäe <glen@delfi.ee> 26ca120
- new, version 0.1.6

